import { MerkleTreeLayerNode } from '../../internals'

export class MerkleTreeLayerNodeList {
    constructor(){
        /**
         * @type {Array<MerkleTreeLayerNode>}
         */
        this.arr = []
    }

    get length(){
        return this.arr.length
    }

    /**
     * @param {MerkleTreeLayerNode[]} layerNodes
     */
    add(...layerNodes){
        this.arr.push(...layerNodes)
    }
}